Package org.apache.storm.generated

# Enum Class TopologySummary._Fields

java.lang.Object
java.lang.Enum<TopologySummary._Fields>
org.apache.storm.generated.TopologySummary._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TopologySummary._Fields>`, `Constable`, `org.apache.storm.thrift.TFieldIdEnum`

Enclosing class:
  TopologySummary

public static enum TopologySummary._Fields extends Enum<TopologySummary._Fields> implements org.apache.storm.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSIGNED_CPU`
  `ASSIGNED_GENERIC_RESOURCES`
  `ASSIGNED_MEMOFFHEAP`
  `ASSIGNED_MEMONHEAP`
  `ID`
  `NAME`
  `NUM_EXECUTORS`
  `NUM_TASKS`
  `NUM_WORKERS`
  `OWNER`
  `REPLICATION_COUNT`
  `REQUESTED_CPU`
  `REQUESTED_GENERIC_RESOURCES`
  `REQUESTED_MEMOFFHEAP`
  `REQUESTED_MEMONHEAP`
  `SCHED_STATUS`
  `STATUS`
  `STORM_VERSION`
  `TOPOLOGY_VERSION`
  `UPTIME_SECS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TopologySummary._Fields`
  `findByName(String name)`
  Find the _Fields constant that matches name, or null if its not found.
  `static TopologySummary._Fields`
  `findByThriftId(int fieldId)`
  Find the _Fields constant that matches fieldId, or null if its not found.
  `static TopologySummary._Fields`
  `findByThriftIdOrThrow(int fieldId)`
  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
  `String`
  `getFieldName()`
  `short`
  `getThriftFieldId()`
  `static TopologySummary._Fields`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TopologySummary._Fields[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ID

    public static final TopologySummary._Fields ID

  - ### NAME

    public static final TopologySummary._Fields NAME

  - ### NUM_TASKS

    public static final TopologySummary._Fields NUM_TASKS

  - ### NUM_EXECUTORS

    public static final TopologySummary._Fields NUM_EXECUTORS

  - ### NUM_WORKERS

    public static final TopologySummary._Fields NUM_WORKERS

  - ### UPTIME_SECS

    public static final TopologySummary._Fields UPTIME_SECS

  - ### STATUS

    public static final TopologySummary._Fields STATUS

  - ### STORM_VERSION

    public static final TopologySummary._Fields STORM_VERSION

  - ### TOPOLOGY_VERSION

    public static final TopologySummary._Fields TOPOLOGY_VERSION

  - ### SCHED_STATUS

    public static final TopologySummary._Fields SCHED_STATUS

  - ### OWNER

    public static final TopologySummary._Fields OWNER

  - ### REPLICATION_COUNT

    public static final TopologySummary._Fields REPLICATION_COUNT

  - ### REQUESTED_MEMONHEAP

    public static final TopologySummary._Fields REQUESTED_MEMONHEAP

  - ### REQUESTED_MEMOFFHEAP

    public static final TopologySummary._Fields REQUESTED_MEMOFFHEAP

  - ### REQUESTED_CPU

    public static final TopologySummary._Fields REQUESTED_CPU

  - ### ASSIGNED_MEMONHEAP

    public static final TopologySummary._Fields ASSIGNED_MEMONHEAP

  - ### ASSIGNED_MEMOFFHEAP

    public static final TopologySummary._Fields ASSIGNED_MEMOFFHEAP

  - ### ASSIGNED_CPU

    public static final TopologySummary._Fields ASSIGNED_CPU

  - ### REQUESTED_GENERIC_RESOURCES

    public static final TopologySummary._Fields REQUESTED_GENERIC_RESOURCES

  - ### ASSIGNED_GENERIC_RESOURCES

    public static final TopologySummary._Fields ASSIGNED_GENERIC_RESOURCES

- ## Method Details

  - ### values

    public static TopologySummary._Fields[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TopologySummary._Fields valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### findByThriftId

    public static TopologySummary._Fields findByThriftId(int fieldId)
    Find the _Fields constant that matches fieldId, or null if its not found.

  - ### findByThriftIdOrThrow

    public static TopologySummary._Fields findByThriftIdOrThrow(int fieldId)
    Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

  - ### findByName

    public static TopologySummary._Fields findByName(String name)
    Find the _Fields constant that matches name, or null if its not found.

  - ### getThriftFieldId

    public short getThriftFieldId()
    Specified by:
      `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

  - ### getFieldName

    public String getFieldName()
    Specified by:
      `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`